﻿using System.IO;
using Microsoft.Build.Framework;
using Microsoft.Build.Utilities;

namespace Silverlight.Build.Tasks
{
    public class XapResourcePackagerBase : Task
    {
        [Required]
        public string PackageCultures { get; set; }

        [Required]
        public string XapFilename { get; set; }

        [Required]
        public string TargetDir { get; set; }

        [Output]
        public string[] XapOutputFiles { get; set; }

        protected string XapFilenameWithoutExtension
        {
            get
            {
                return Path.GetFileNameWithoutExtension(this.XapFilename);
            }
        }

        public override bool Execute()
        {
            return true;
        }
    }
}
