// File           : ProjectUtilities.cs
// Original Author: Guy Smith-Ferrier
// Date Created   : June 2008
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Threading;
namespace Microsoft.VisualStudio
{
    public sealed class ProjectUtilities
    {
        public static bool IsCriticalException(Exception ex)
        {
            return ((((ex is NullReferenceException) || (ex is StackOverflowException)) || (ex is OutOfMemoryException)) || (ex is ThreadAbortException));
        }
    }
}

