﻿// File           : Form1.cs
// Original Author: Guy Smith-Ferrier
// Date Created   : September 2005
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Globalization;

namespace IDNTest
{
    partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(textBoxIDN.Text);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            IdnMapping idnMapping = new IdnMapping();
            textBoxASCII.Text = idnMapping.GetAscii(textBoxIDN.Text);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(textBoxASCII.Text);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            IdnMapping idnMapping = new IdnMapping();
            textBoxIDN.Text = idnMapping.GetUnicode(textBoxASCII.Text);
        }
    }
}