﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Ionic.Zip;

namespace Silverlight.Build.Tasks
{
    public class ZipFileDotNetZip
    {
        private Ionic.Zip.ZipFile zipfile;

        public ZipFileDotNetZip(string filename)
        {
            this.Filename = filename;
        }

        public string Filename { get; set; }

        public void Create()
        {
            zipfile = new Ionic.Zip.ZipFile();
        }

        public void AddEntry(string entryName, byte[] entry)
        {
            zipfile.AddEntry(entryName, entry);
        }

        public void AddFile(string file, string entryName)
        {
            FileStream fs = File.OpenRead(file);

            byte[] buffer = new byte[fs.Length];
            fs.Read(buffer, 0, buffer.Length);

            AddEntry(entryName, buffer);
        }

        public void Close()
        {
            zipfile.Save(Filename);
        }
    }
}
